
Installer - Bug #35809

smart_proxy_ansible needs smart_proxy_rex, but installer doesn't set it up automatically

11/30/2022 07:49 PM - Evgeni Golov

Status: Closed   

Priority: Normal   

Assignee: Evgeni Golov   

Category: Foreman modules   

Target version: 3.5.0   

Difficulty:  Fixed in Releases: 3.5.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

if one tries to use --enable-foreman-proxy-plugin-ansible without --enable-foreman-proxy-plugin-remote-execution, installer fails with:

2022-11-30 15:35:52 [ERROR ] [configure] Error making POST request to Foreman at https://foreman.i

nternal.pcfe.net/api/v2/smart_proxies: Response: 500 Internal Server Error: Check /var/log/foreman

/production.log on foreman.internal.pcfe.net for detailed information

2022-11-30 15:35:52 [ERROR ] [configure] /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[f

oreman.internal.pcfe.net]/ensure: change from 'absent' to 'present' failed: Error making POST requ

est to Foreman at https://foreman.internal.pcfe.net/api/v2/smart_proxies: Response: 500 Internal S

erver Error: Check /var/log/foreman/production.log on foreman.internal.pcfe.net for detailed infor

mation

2022-11-30 15:35:52 [ERROR ] [configure] /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[f

oreman.internal.pcfe.net]: Failed to call refresh: Error making GET request to Foreman at https://

foreman.internal.pcfe.net/api/v2/smart_proxies: Response: 500 Internal Server Error: Check /var/lo

g/foreman/production.log on foreman.internal.pcfe.net for detailed information

2022-11-30 15:35:52 [ERROR ] [configure] /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[f

oreman.internal.pcfe.net]: Error making GET request to Foreman at https://foreman.internal.pcfe.ne

t/api/v2/smart_proxies: Response: 500 Internal Server Error: Check /var/log/foreman/production.log

 on foreman.internal.pcfe.net for detailed information

2022-11-30 15:35:56 [NOTICE] [configure] System configuration has finished.

 because the SSH key is not deployed

Associated revisions

Revision f2479913 - 12/01/2022 10:31 AM - Evgeni Golov

Fixes #35809 - always enable rex when enabling ansible

sp_ansible depends on sp_rex to work, but we never properly setup the

later unless the user explicitly also asks for it

History

#1 - 12/01/2022 09:03 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/791 added

#2 - 12/01/2022 10:31 AM - The Foreman Bot

- Fixed in Releases 3.6.0 added

#3 - 12/01/2022 11:01 AM - Evgeni Golov

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy|f2479913cc524ba36e1b05bee7c454996bb28ece.
https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-foreman_proxy/revisions/f2479913cc524ba36e1b05bee7c454996bb28ece


#4 - 12/02/2022 08:03 AM - Evgeni Golov

- Category deleted (Foreman modules)

- Assignee deleted (Evgeni Golov)

- Target version set to 3.5.0

- Fixed in Releases deleted (3.6.0)

#5 - 12/02/2022 08:03 AM - Evgeni Golov

- Category set to Foreman modules

- Assignee set to Evgeni Golov

- Fixed in Releases 3.6.0 added

#6 - 12/14/2022 11:21 AM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes

- Fixed in Releases 3.5.0 added

- Fixed in Releases deleted (3.6.0)

#7 - 02/15/2023 04:22 AM - WoodrowFaf WoodrowFaf

- Tracker changed from Bug to Support

- Category changed from Foreman modules to foreman-installer script

- Assignee changed from Evgeni Golov to Imri Zvik

- Priority changed from Normal to Immediate

- Difficulty deleted (easy)

- Pull request deleted (https://github.com/theforeman/puppet-foreman_proxy/pull/791)

- Found in Releases 1.10.0 added

#8 - 02/15/2023 07:54 AM - WoodrowFaf WoodrowFaf

- Tracker changed from Support to Refactor

- Category changed from foreman-installer script to Foreman modules

- Assignee changed from Imri Zvik to Adam Ruzicka

- Priority changed from Immediate to High

#9 - 02/15/2023 11:02 AM - Ewoud Kohl van Wijngaarden

- Tracker changed from Refactor to Bug

- Assignee changed from Adam Ruzicka to Evgeni Golov

- Priority changed from High to Normal

- Found in Releases deleted (1.10.0)
